<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_AreaInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/basicinfo/Dt_Changeovers.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'id',
            footer: "Foots",
            cnName: '换型信息',
            name: 'basicinfo/Dt_Changeovers',
            url: "/Dt_Changeovers/",
            sortName: "createDate"
        });
        const editFormFields = ref({
            "materielCode": "",
            "productionLine": "",
            "processCode": "",
            "status": "",
            "areaDesc": ""
        });
        const editFormOptions = ref([
        [
                { "title": "物料编号", "field": "materielCode", type: "text" },
                { "title": "生产产线", "field": "productionLine", type: "select", dataKey: "ProductionLine", data: [] },
                
            ],
            [
                { "title": "工序", "field": "processCode",  type: "select", dataKey: "AreaType", data: [] },
                { "title": "状态", "field": "status", "type": "select", dataKey: "EnalbeStatus", data: [] }, 
            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "物料编号", "field": "materielCode", type: "text" },
                { "title": "生产产线", "field": "productionLine", type: "select", dataKey: "ProductionLine", data: [] },
                
            ],
            [
                { "title": "工序", "field": "processCode",  type: "select", dataKey: "AreaType", data: []},
                { "title": "状态", "field": "status", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'id', title: 'id', type: 'int', sort: true, hidden: true, width: 110, readonly: true, require: true, align: 'left' },
        { field: 'materielCode', title: '物料编号', type: 'string', sort: true, width: 110, require: true, align: 'left', sort: true },
        { field: 'productionLine', title: '产线', type: 'string', width: 70, align: 'left', bind: { key: "ProductionLine", data: [] }  },
        { field: 'processCode', title: '工序', type: 'string', sort: true, width: 110, align: 'left' ,bind: { key: "AreaType", data: [] }},
        { field: 'status', title: '状态', type: 'int', sort: true, width: 110, align: 'left', bind: { key: "EnalbeStatus", data: [] }  },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100,  align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
